Summary:	Plugins for multi channel settings manager
Name:		xfce-mcs-plugins
Version:	4.4.1
Release:	%mkrel 4
License:	GPL
Group:		Graphical desktop/Xfce
URL:		http://www.xfce.org
Source0:	%{name}-%{version}.tar.bz2
# (tpg) set the wallpaper from mandriva-theme package, use rodent icon-theme
Patch0:		mandriva-ia_ora-default-theme.patch
Requires:	xfce-mcs-manager >= %{version}
BuildRequires:	xfce-mcs-manager-devel >= %{version}
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:	libxxf86misc-devel
BuildRequires:	libxxf86vm-devel
BuildRequires:	libxrandr-devel
BuildRequires:	libxkbfile-devel
BuildRequires:	libgtk+2.0-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Xfce-mcs-plugins is a set of plugins for the multi channel settings manager.

%prep
%setup -q
%patch0 -p0 -b .theme

%build
%configure2_5x \
	--sysconfdir=%{_sysconfdir}/X11 \
	--disable-static \
	--enable-xf86misc \
	--enable-xkb \
	--enable-randr \
	--enable-xf86vm
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

%clean
rm -rf  %{buildroot}

%post
%{update_menus}
%update_icon_cache hicolor

%postun
%{clean_menus}
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root)
%doc README COPYING AUTHORS
%{_datadir}/xfce4/doc
%{_datadir}/applications/*
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_datadir}/xfce-mcs-plugins/shortcuts/default.xml
%{_libdir}/xfce4/mcs-plugins/*


%changelog
* Wed Jun 06 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-4mdv2007.1
+ Revision: 36074
- add missing buildrequires for configure options
- remove Source1 (found better solution)
- wallpaper is shown by default
- provide P0 (sets default theme for windows to Ia Ora and Rodent for icons)

* Mon May 28 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-3mdv2008.0
+ Revision: 32245
- drop __libtoolize
- add some configure options
- use macros in %%post and %%postun
- prevent compiling static files rather than removing them
- spec file clean

  + Jérôme Soyer <saispo@mandriva.org>
    - Rebuild

* Thu Apr 19 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.1-1mdv2008.0
+ Revision: 14933
- New release 4.4.1


* Thu Jan 25 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.0-1mdv2007.0
+ Revision: 113468
- New release

* Mon Dec 11 2006 Jérôme Soyer <saispo@mandriva.org> 4.3.99.2-2mdv2007.1
+ Revision: 94822
- Bump Release

* Mon Dec 11 2006 Jérôme Soyer <saispo@mandriva.org> 4.3.99.2-1mdv2007.1
+ Revision: 94692
- New release 4.3.99.2

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - import xfce-mcs-plugins-4.3.90.2-1mdv2007.0

* Tue Jul 11 2006 Charles A Edwards <eslrahc@mandriva.org> 4.3.90.2-1mdv2007.0
- 4.3.90.2 (Xfce-4.4 beta2)

* Thu Apr 27 2006 Jerome Soyer <saispo@mandriva.org> 4.3.90.1-1mdk
- New version

* Thu Mar 09 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r20246.1mdk
- svn r20246

* Sun Feb 05 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r19739.1mdk 
- 4.3.0 svn r19739
- don't run libtoolize
- update filelist

* Fri Jan 13 2006 Marcel Pol <mpol@mandriva.org> 4.2.3-1mdk
- 4.2.3
- remove more unneeded devel files

* Wed May 25 2005 Marcel Pol <mpol@mandriva.org> 4.2.2-1mdk
- 4.2.2
- %%{1}mdv2007.1

* Wed Mar 16 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.1-1mdk
- 4.2.1

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-2mdk
- group: Graphical desktop/Xfce

* Tue Jan 18 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.0-1mdk
- 4.2.0 Final

* Sat Dec 25 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-1mdk
- 4.1.99.3 (4.2.0 RC 3)
- remove unneeded devel files

* Sun Dec 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.2-1mdk
- 4.1.99.2 (4.2.0 RC 2)

* Tue Nov 16 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.1-1mdk
- 4.1.99.1
- s/XFce/Xfce
- update filelist

* Tue Jul 13 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.6-1mdk
- 4.0.6
- reenable libtoolize

* Sun Apr 18 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.5-1mdk
- 4.0.5

* Sat Apr 10 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.4-1mdk
- 4.0.4

